<?php
/*
 /////////////////// DISCLAIMER ///////////////////////////
 THIS EXAMPLE CODE IS PROVIDED TO YOU ONLY ON AN "AS IS"
 BASIS WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,
 MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 PAYPAL MAKES NO WARRANTY THAT THE SOFTWARE OR
 DOCUMENTATION WILL BE ERROR-FREE. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ////////////////////////////////////////////////////////////
 */

require('create-token.php');

//Start the PHP session
//session_start();

//Print all errors
error_reporting(E_ALL);
ini_set("display_errors", 1);


//Initiate CURL and set the url endpoint
$ch = curl_init();
$url = 'https://api.sandbox.paypal.com/v1/customer/partner-referrals';
curl_setopt($ch, CURLOPT_URL, $url);

curl_setopt($ch, CURLOPT_SSLVERSION, CURL_SSLVERSION_TLSv1_2);

//Should to be set to true for security
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
//Should be set to 2 for security
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);

//Cert can be generated through mozilla firefox and is used when implementing security for VERIFYPEER and VERIFYHOST in the above
//curl_setopt($ch, CURLOPT_CAINFO, '/var/www/html/Example_REST_FP/cert/cacert.pem');



//Set the required headers
$headers = array(
    'Content-Type: application/json',
    "Authorization: Bearer $token"
    
);
curl_setopt($ch,CURLOPT_HTTPHEADER,$headers);

//Lets curl know we are using 'post' and not 'get' (false = 'get')
curl_setopt($ch, CURLOPT_POST, TRUE);

//Keep connection open until we get data back
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);

//Specify that we want an authorization code returned
$vars = '{
    "customer_data": {
    "customer_type": "MERCHANT",
    "person_details": {
    "email_address": "brian_uk_seller33@fake.com",
    "name": {
    "prefix": "Mr.",
    "given_name": "Brian",
    "surname": "Mc Manus",
    "middle_name": "Micheal"
    },
    "phone_contacts": [
    {
        "phone_number_details": {
        "country_code": "44",
        "national_number": "12345678"
        },
        "phone_type": "HOME"
    }
    ],
    "home_address": {
    "line1": "10, Downing Street",
    "state": "London",
    "city": "London",
    "country_code": "GB",
    "postal_code": "SW1A 2AA"
    },
    "date_of_birth": {
    "event_type": "BIRTH",
    "event_date": "1988-06-20T23:59:59.999Z"
    },
    "nationality_country_code": "GB",
    "identity_documents": [
    {
        "type": "SOCIAL_SECURITY_NUMBER",
        "value": "ABCDEF34646",
        "partial_value": false,
        "issuer_country_code": "GB"
    }
    ]
},
"business_details": {
"phone_contacts": [
{
    "phone_number_details": {
    "country_code": "44",
    "national_number": "12345679"
    },
    "phone_type": "BUSINESS"
}
],
"business_address": {
"line1": "10, Downing Street",
"state": "London",
"city": "London",
"country_code": "GB",
"postal_code": "SW1A 2AA"
},
"business_type": "INDIVIDUAL",
"category": "1004",
"sub_category": "2025",
"names": [
{
    "type": "LEGAL",
    "name": "BRIANS ISU STORE"
}
],
"business_description": "Arts and handicrafts",
"event_dates": [
{
    "event_type": "ESTABLISHED",
    "event_date": "2009-01-31T13:59:45Z"
}
],
"website_urls": [
    "http://bmcmsoftware.com/"
],
"annual_sales_volume_range": {
"minimum_amount": {
"currency": "GBP",
"value": "2000"
},
"maximum_amount": {
"currency": "GBP",
"value": "3000"
}
},
"average_monthly_volume_range": {
"minimum_amount": {
"currency": "GBP",
"value": "200"
},
"maximum_amount": {
"currency": "GBP",
"value": "300"
}
},
"identity_documents": [
{
    "type": "TAX_IDENTIFICATION_NUMBER",
    "value": "ABCDEF34646",
    "partial_value": false,
    "issuer_country_code": "GB"
}
],
"email_contacts": [
{
    "email_address": "customercare@fake.com",
    "role": "CUSTOMER_SERVICE"
}
]
},
"financial_instrument_data": {
"bank_details": [
{
    "nick_name": "Bank of America",
    "account_number": "123405668293",
    "account_type": "CHECKING",
    "currency_code": "GBP",
    "identifiers": [
    {
        "type": "ROUTING_NUMBER_1",
        "value": "123456789"
    }
    ]
}
]
},
"preferred_language_code": "en_US",
"primary_currency_code": "GBP",
"referral_user_payer_id": {
"type": "PAYER_ID",
"value": ""
},
"partner_specific_identifiers": [
{
    "type": "TRACKING_ID",
    "value": "ABJSDFO343SD"
}
]
},
"requested_capabilities": [
    {
      "capability": "API_INTEGRATION",
      "api_integration_preference": {
        "partner_id": "LKMBPUFVYHVYL",
        "rest_api_integration": {
          "integration_method": "PAYPAL",
          "integration_type": "THIRD_PARTY"
        },
        "rest_third_party_details": {
          "partner_client_id": "ATfm19AC4y9Vl7Za7bJinYOWzx6_HaBAPUJiCBzU_vXxcvuhkMIL7tAi6Ve1LZoKMqum6e58PUdBZjN5",
          "feature_list": [
            "PAYMENT",
            "REFUND",
            "FUTURE_PAYMENT"
          ]
        }
      }
    }
  ],
"web_experience_preference": {
"partner_logo_url": "https://www.paypalobjects.com/webstatic/mktg/logo/pp_cc_mark_74x46.jpg",
"return_url": "localhost/ISU/response.php",
"action_renewal_url": "https://developer.paypal.com/docs/api/partner-referrals/#partner-referrals_create"
},
"collected_consents": [
{
    "type": "SHARE_DATA_CONSENT",
    "granted": true
}
],
"products": [
    "EXPRESS_CHECKOUT"
]
}';


//build and set the request
$req = $vars;
curl_setopt($ch, CURLOPT_POSTFIELDS, $req);

// echo "<pre>";
// print_r($req);
// echo "</pre></br>";

//get the response back
$response = curl_exec($ch);

//echo '<br>cURL errors: '.curl_error($ch).'<br>';

//parse json into an array
$outArray = json_decode($response,true);

//Print the response
// echo "<pre>";
// print_r($outArray);
// echo "</pre>";



//Close the connection
curl_close($ch);


?>

<!DOCTYPE html>
<html>
<head>
<title>ISU (Integrated Sign Up)</title>

      <!--Import Google Icon Font-->
      <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
      
     <!-- Compiled and minified CSS -->
  	 <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">
     
     
      <!--Let browser know website is optimized for mobile-->
      <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
</head>
	<body>
	



<div style="padding-top: 150px; font-size:300%; text-align:center;" dir="ltr" trbidi="on">

      <!--Import jQuery before materialize.js-->
      <script type="text/javascript" src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
 	  <!-- Compiled and minified JavaScript -->
     <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
     <script src="https://www.paypalobjects.com/api/checkout.js"></script>
     
     
<script>

(function(d, s, id){
    var js, ref = d.getElementsByTagName(s)[0]; if (!d.getElementById(id)){
        js = d.createElement(s); js.id = id; js.async = true;
        js.src = "https://www.paypal.com/webapps/merchantboarding/js/lib/lightbox/partner.js";
        ref.parentNode.insertBefore(js, ref); }
}(document, "script", "paypal-js"));
    
    </script>
    <a data-paypal-button="true" href="<?= $outArray['links'][1]['href']."&displayMode=minibrowser" ?>" target="PPFrame">Sign up for PayPal (Click Here) </a>
    </div>
   